SharedCloseableImpl (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils.concurrent

## Class SharedCloseableImpl

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.SharedCloseableImpl

- All Implemented Interfaces:
    java.lang.AutoCloseable, SharedCloseable
  Direct Known Subclasses:
    ChannelProxy, FileHandle, MmappedRegions, WrappedSharedCloseable

      public abstract class SharedCloseableImpl
      extends java.lang.Object
      implements SharedCloseable

  A simple abstract implementation of SharedCloseable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SharedCloseableImpl(RefCounted.Tidy tidy)`
    `protected` | `SharedCloseableImpl(SharedCloseableImpl copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTo(Ref.IdentityCollection identities)`
    `void` | `close()`
    `java.lang.Throwable` | `close(java.lang.Throwable accumulate)`
    `boolean` | `isCleanedUp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.utils.concurrent.SharedCloseable

      `sharedCopy`

- - ### Constructor Detail

    - #### SharedCloseableImpl

          public SharedCloseableImpl(RefCounted.Tidy tidy)

    - #### SharedCloseableImpl

          protected SharedCloseableImpl(SharedCloseableImpl copy)

  - ### Method Detail

    - #### isCleanedUp

          public boolean isCleanedUp()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### close

          public java.lang.Throwable close(java.lang.Throwable accumulate)

      Specified by:
        `close` in interface `SharedCloseable`

    - #### addTo

          public void addTo(Ref.IdentityCollection identities)

      Specified by:
        `addTo` in interface `SharedCloseable`

Copyright © 2018 The Apache Software Foundation